

<div class="calculadora">
  <div class="searchString">
    <input [value]="display" type="text" id="display" name="display" class="larg" >
  </div>
  <div class="flex flex-horizontal grupo-btn">
    <div class="margin-r-5 margin-b-5 grupo-btn-1">
      <div>
        <button (click)="adicionarNumero('1')" class="btn_numero-1" id="n_1">1</button>
        <button (click)="adicionarNumero('2')" class="btn_numero-1" id="n_2">2</button>
        <button (click)="adicionarNumero('3')" class="btn_numero-1" id="n_3">3</button>
      </div>
      <div>
        <button (click)="adicionarNumero('4')" class="btn_numero-1" id="n_4">4</button>
        <button (click)="adicionarNumero('5')" class="btn_numero-1" id="n_5">5</button>
        <button (click)="adicionarNumero('6')" class="btn_numero-1" id="n_6">6</button>
      </div>
      <div>
        <button (click)="adicionarNumero('7')" class="btn_numero-1" id="n_7">7</button>
        <button (click)="adicionarNumero('8')" class="btn_numero-1" id="n_8">8</button>
        <button (click)="adicionarNumero('9')" class="btn_numero-1" id="n_9">9</button>
      </div>
      <div>
        <button (click)="adicionarNumero('0')" class="btn_numero-1" id="n_0">0</button>
        <button (click)="adicionarNumero(',')" class="btn_numero-1" id="n_,">,</button>
        <button (click)="calcular()" class="btn_numero-1" id="n_=">=</button>
      </div>
    </div>
    <div class="flex flex-vertical margin-b-5 flex-end grupo-btn-2">
      <div class="flex flex-end">
        <button (click)="limpar()" class="btn_numero-2" id="n_c">C</button>
      </div>
      <div>
        <button (click)="definirOperacao('/')" class="btn_numero-2" id="n_/">/</button>
      </div>
      <div>
        <button (click)="definirOperacao('*')" class="btn_numero-2" id="n_*">*</button>
      </div>
      <div>
        <button (click)="definirOperacao('-')" class="btn_numero-2" id="n_-">-</button>
      </div>
      <div>
        <button (click)="definirOperacao('+')" class="btn_numero-2" id="n_+">+</button>
      </div>
    </div> 
  </div>
</div>